summaryrefslogtreecommitdiffstats
path: root/debian/cron.weekly
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 10:49:50 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 10:49:50 +0000
commitbbbdf1c4eb36541d62561edf761afa29cb1be4e9 (patch)
tree7b4b430b16d1f211108b3da02b78967449d62755 /debian/cron.weekly
parentAdding upstream version 2.9.4. (diff)
downloadman-db-bbbdf1c4eb36541d62561edf761afa29cb1be4e9.tar.xz
man-db-bbbdf1c4eb36541d62561edf761afa29cb1be4e9.zip
Adding debian version 2.9.4-2.debian/2.9.4-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/cron.weekly')
-rw-r--r--debian/cron.weekly34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/cron.weekly b/debian/cron.weekly
new file mode 100644
index 0000000..6e3ad83
--- /dev/null
+++ b/debian/cron.weekly
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# man-db cron weekly
+
+set -e
+
+if [ -d /run/systemd/system ]; then
+ # Skip in favour of systemd timer.
+ exit 0
+fi
+
+iosched_idle=
+# Don't try to change I/O priority in a vserver or OpenVZ.
+if ! egrep -q '(envID|VxID):.*[1-9]' /proc/self/status && \
+ ([ ! -d /proc/vz ] || [ -d /proc/bc ]); then
+ iosched_idle='--iosched idle'
+fi
+
+if ! [ -d /var/cache/man ]; then
+ # Recover from deletion, per FHS.
+ install -d -o man -g man -m 0755 /var/cache/man
+fi
+
+# regenerate man database
+if [ -x /usr/bin/mandb ]; then
+ # --pidfile /dev/null so it always starts; mandb isn't really a daemon,
+ # but we want to start it like one.
+ start-stop-daemon --start --pidfile /dev/null \
+ --startas /usr/bin/mandb --oknodo --chuid man \
+ $iosched_idle \
+ -- --quiet
+fi
+
+exit 0